当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 是否有人成功运行adobe reader chs 7.09?
帖子发表于 : 2007-08-02 21:39 

注册: 2006-01-06 22:55
帖子: 556
送出感谢: 0 次
接收感谢: 0 次
总是报告错误:
Gtk-CRITICAL **: gtk_rc_get_style: assertion `GTK_IS_WIDGET (widget)' failed
似乎是因为GTK版本是libgtk-x11-2.0.so.0.1106.0
有没有人解决这个问题了?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-08-02 21:46 

注册: 2007-04-08 7:46
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
我也是这个问题。自从上次升级了gtk后,现在是问题多多。很多东西都用不了了,哭死了


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-08-02 22:04 

注册: 2006-01-18 15:01
帖子: 1074
送出感谢: 0 次
接收感谢: 1
降级。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-08-02 22:48 

注册: 2007-07-28 22:15
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
可以运行,要修改两个地方,一个是xim,一个是gtk的问题,命令行,看错误,google,就有了


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-08-03 10:54 

注册: 2006-01-06 22:55
帖子: 556
送出感谢: 0 次
接收感谢: 0 次
hcconquer 写道:
可以运行,要修改两个地方,一个是xim,一个是gtk的问题,命令行,看错误,google,就有了

不行,
对1104版本之前才有用


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-08-03 14:09 

注册: 2007-07-01 8:28
帖子: 73
地址: foundertech
送出感谢: 0 次
接收感谢: 0 次
我是7.04中没有办法运行,点图标后,只是一闪。
升级到7.10后,成功。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-08-03 21:24 

注册: 2007-04-08 7:46
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
forwarded is a solution posted in ubuntu form:

This has been reported to launchpad(https://bugs.launchpad.net/ubuntu/+bug/128212).
It has something to do with libgtk2.0.

A workaround I found is:

1. Get a copy of libgtk2.0-0_2.10.11-0ubuntu3_i386.deb (might stll be in apt cache) and put it in /usr
2. cd /usr
3. dpkg -x libgtk2.0-0_2.10.11-0ubuntu3_i386.deb test
4. edit /usr/lib/Adobe/Acrobat7.0/bin/acroread and add this line

export LD_PRELOAD=/usr/test/usr/lib/libgtk-x11-2.0.so.0.1000.11
after
export GTK_IM_MODULE=xim

the first few lines should look like:

Code:

#!/bin/sh
#

LC_NUMERIC=C
export LC_NUMERIC
export GTK_IM_MODULE=xim
export LD_PRELOAD=/usr/test/usr/lib/libgtk-x11-2.0.so.0.1000.11

setLangENU()

5. save and give it a try


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-08-06 18:29 
头像

注册: 2006-10-31 14:49
帖子: 1617
送出感谢: 0 次
接收感谢: 0 次
用evince还是可以的


_________________
Borders are meant to be crossed


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-08-20 22:10 

注册: 2006-05-17 20:49
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
谢谢,我成功解决了~~

[quote="signalat"]forwarded is a solution posted in ubuntu form:


3. sudo dpkg -x libgtk2.0-0_2.10.11-0ubuntu3_i386.deb test


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译